Vla-get-plotviewportborders

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-get-plotviewportborders vla-object )


機能
ビューポート境界を印刷するかどうかを取得する。


引数
  • vla-object … VLAオブジェクト(Layout、PlotConfiguration)


戻り値
ブール型
  •  :vlax-True: ビューポート境界を印刷する。
  •  :vlax-False: ビューポート境界を印刷しない。


サンプル
(vl-load-com)
(defun c:Example_PlotViewportBorders()
    ;; PlotViewportBorders を変更するサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; layout オブジェクトを取得
    (setq ACADLayout (vla-get-ActiveLayout doc))
    
    ;; 既定値を取得
    (setq originalValue (vla-get-PlotViewportBorders ACADLayout))
    (alert (strcat "現在の PlotViewportBorders 値は : " (if (= originalValue :vlax-true) "True" "False")))

    ;; 変更
    (vla-put-PlotViewportBorders ACADLayout (if (= originalValue :vlax-true) :vlax-false :vlax-true))
    (setq newValue (vla-get-PlotViewportBorders ACADLayout))
    (alert (strcat "新しい PlotViewportBorders 値は : " (if (= newValue :vlax-true) "True" "False")))

    ;; 戻す
    (vla-put-PlotViewportBorders ACADLayout originalValue)
    (alert (strcat "PlotViewportBorders 値を次に戻しました : " (if (= originalValue :vlax-true) "True" "False")))
)


関連事項